//感測模組HC-SR04超音波模組
int trigPin=7; //第7腳接HC-SR04的Trig
int echoPin=8; //第8腳接HC-SR04的Echo
float duration,cm;//時間間隔,距離
//-------------------------------
void setup() {
 Serial.begin(9600);//串列port
 pinMode(trigPin,OUTPUT);//第7腳輸出模式
 pinMode(echoPin,INPUT);//第8腳輸出模式
}

void loop() {
digitalWrite(trigPin,LOW);//初始設定
delayMicroseconds(5);
digitalWrite(trigPin,HIGH);//至少給觸發腳位7,10us高電位
delayMicroseconds(10);
digitalWrite(trigPin,LOW);//送出觸發訊號,模組會送8個40kHZ的方波
duration=pulseIn(echoPin,HIGH);//回收訊號
cm=(duration/2)/29.1;//換算成公分
Serial.print("距離;");
Serial.print(cm);
Serial.print("cm");
Serial.println();
delay(250);
}
